summaryrefslogtreecommitdiffstats
path: root/dvm
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrabhat@gluster.com>2011-12-26 11:08:38 +0530
committerRaghavendra Bhat <raghavendrabhat@gluster.com>2011-12-26 11:48:30 +0530
commit34d70e98bca06e22d5751513b991b1eb3fd307da (patch)
treeccb0e151817b9f7b87001d8434409ab7a598e9e6 /dvm
parent25bf46a93923cbdb6b3eb2b3971784397c816a32 (diff)
regression/3817: check if glusterd crashes if volume delete is given on non-existing volume
Change-Id: I5516056afc03e624944ba2724a3218836e70047f BUG: 3817 Signed-off-by: Raghavendra Bhat <raghavendrabhat@gluster.com>
Diffstat (limited to 'dvm')
-rwxr-xr-xdvm/3817/testcase32
1 files changed, 32 insertions, 0 deletions
diff --git a/dvm/3817/testcase b/dvm/3817/testcase
new file mode 100755
index 0000000..0f188ac
--- /dev/null
+++ b/dvm/3817/testcase
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+function _init ()
+{
+ source $cwd/regression_helpers;
+}
+
+function volume_delete ()
+{
+ $GLUSTERFSDIR/gluster volume delete vol --mode=script 2>/dev/null 1>/dev/null;
+
+ pgrep glusterd 2>/dev/null 1>/dev/null;
+
+ return $?;
+}
+
+function main ()
+{
+ local ret;
+
+ volume_delete;
+
+ ret=$?;
+
+ if [ $ret -eq 0 ]; then
+ exit 0;
+ else
+ exit 1;
+ fi
+}
+
+_init && main "$@"